[edk2-devel] [PATCH] Fix indentation in edksetup.sh SetupPython3

rebecca at bluestop.org rebecca at bluestop.org
Wed Jun 26 16:54:56 UTC 2019


Signed-off-by: Rebecca Cran <rebecca at bluestop.org>
---
 edksetup.sh | 40 ++++++++++++++++++++--------------------
 1 file changed, 20 insertions(+), 20 deletions(-)

diff --git a/edksetup.sh b/edksetup.sh
index c7b2e1e201..61e988035f 100755
--- a/edksetup.sh
+++ b/edksetup.sh
@@ -108,27 +108,27 @@ function SetupEnv()
 function SetupPython3()
 {
   if [ $origin_version ];then
-      origin_version=
+    origin_version=
+  fi
+  for python in $(whereis python3)
+  do
+    python=$(echo $python | grep "[[:digit:]]$" || true)
+    python_version=${python##*python}
+    if [ -z "${python_version}" ] || (! command -v $python >/dev/null 2>&1);then
+      continue
     fi
-    for python in $(whereis python3)
-    do
-      python=$(echo $python | grep "[[:digit:]]$" || true)
-      python_version=${python##*python}
-      if [ -z "${python_version}" ] || (! command -v $python >/dev/null 2>&1);then
-        continue
-      fi
-      if [ -z $origin_version ];then
-        origin_version=$python_version
-        export PYTHON_COMMAND=$python
-        continue
-      fi
-      ret=`echo "$origin_version < $python_version" |bc`
-      if [ "$ret" -eq 1 ]; then
-        origin_version=$python_version
-        export PYTHON_COMMAND=$python
-      fi
-    done
-    return 0
+    if [ -z $origin_version ];then
+      origin_version=$python_version
+      export PYTHON_COMMAND=$python
+      continue
+    fi
+    ret=`echo "$origin_version < $python_version" |bc`
+    if [ "$ret" -eq 1 ]; then
+      origin_version=$python_version
+      export PYTHON_COMMAND=$python
+    fi
+  done
+  return 0
 }
 
 function SetupPython()
-- 
2.22.0


-=-=-=-=-=-=-=-=-=-=-=-
Groups.io Links: You receive all messages sent to this group.

View/Reply Online (#42903): https://edk2.groups.io/g/devel/message/42903
Mute This Topic: https://groups.io/mt/32217032/1813853
Group Owner: devel+owner at edk2.groups.io
Unsubscribe: https://edk2.groups.io/g/devel/unsub  [edk2-devel-archive at redhat.com]
-=-=-=-=-=-=-=-=-=-=-=-




More information about the edk2-devel-archive mailing list